package co.yixiang.yshop.module.product.enums.coupon;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author moxiangrong
 * 优惠券状态类型枚举
 */
@Getter
@AllArgsConstructor
public enum CouponStatusEnum {
    IN_PROGRESS(1, "进行中"),
    ENDED(2, "已结束"),
    NOT_STARTED(3, "未开始");

    private Integer value;
    private String desc;
}
